Last Comment Bug 816957 - B2G Cannot load extensions
: B2G Cannot load extensions
Status: RESOLVED FIXED
QARegressExclude
:
Product: Firefox OS
Classification: Client Software
Component: Gaia (show other bugs)
: unspecified
: All All
: -- normal (vote)
: B2G C3 (12dec-1jan)
Assigned To: James Lal [:lightsofapollo] (inactive)
:
Mentors:
Depends on:
Blocks: 816961 813230
  Show dependency treegraph
 
Reported: 2012-11-30 05:40 PST by Ben Francis [:benfrancis]
Modified: 2013-01-14 11:33 PST (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
fixed


Attachments
Resolves scoping issues (1.41 KB, patch)
2012-12-11 12:51 PST, James Lal [:lightsofapollo] (inactive)
khuey: review+
jonas: approval‑mozilla‑aurora+
jonas: approval‑mozilla‑b2g18+
Details | Diff | Splinter Review

Description Ben Francis [:benfrancis] 2012-11-30 05:40:16 PST
If you generate your Gaia profile with "DEBUG=1 make" it appears httpd.js doesn't run when you start B2G Desktop, B2G starts but just displays "Unable to connect", there's nothing running on port 8080.

This means Gaia developers must re-build Gaia as packaged apps for every small change they make.

httpd.js starts fine if you run Firefox with the same profile.

Tested with nightly (beta) build of B2G Desktop and the tip of Gaia.
Comment 1 Les Orchard [:lorchard] 2012-12-03 10:59:57 PST
FWIW, I have several nightly Aurora builds of B2G Desktop for OS X lying around, and httpd.js still works if I revert to an earlier version.

On this one from 2012-11-19, httpd still works:

http://ftp.mozilla.org/pub/mozilla.org/b2g/nightly/2012-11-19-03-03-13-mozilla-aurora/b2g-18.0a2.en-US.mac64.dmg

But, when I update to this one on 2012-11-30, httpd stops working:

http://ftp.mozilla.org/pub/mozilla.org/b2g/nightly/2012-11-30-03-03-33-mozilla-aurora/b2g-19.0a2.en-US.mac64.dmg

And, in -jsconsole, I see these errors:

http://dl.dropbox.com/u/2798055/Screenshots/w.png

Trying to copy & paste from jsconsole is crashing B2G Desktop for me right now, sorry for the image.

I'm a little in over my head trying to bisect this issue in b2g-desktop builds, but maybe someone can use the above info as a start.
Comment 2 Les Orchard [:lorchard] 2012-12-03 11:13:12 PST
FWIW, I managed to narrow the range of builds down to 2012-11-24 and 2012-11-28

httpd.js works:

http://ftp.mozilla.org/pub/mozilla.org/b2g/nightly/2012-11-24-03-08-25-mozilla-aurora/b2g-19.0a2.en-US.mac64.dmg

httpd.js fails:

http://ftp.mozilla.org/pub/mozilla.org/b2g/nightly/2012-11-28-03-07-55-mozilla-aurora/b2g-19.0a2.en-US.mac64.dmg
Comment 3 James Lal [:lightsofapollo] (inactive) 2012-12-11 10:43:35 PST
OK I am fairly sure 811784 breaks us here. The landing range is right and it seems to have causes similar problems in other areas.
Comment 4 James Lal [:lightsofapollo] (inactive) 2012-12-11 12:51:08 PST
Created attachment 691019 [details] [diff] [review]
Resolves scoping issues
Comment 5 Kyle Huey [:khuey] (khuey@mozilla.com) 2012-12-11 13:25:58 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/241296b53553
Comment 6 Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2012-12-11 19:35:08 PST
I did rm -Rf profile && DEBUG=1 make && ~/path/to/b2g-desktop-objdir/dist/bin/b2g-bin -profile $PWD/profile and that also is working as described in bug 813230 comment 6. Great!
Comment 7 Ed Morley [:emorley] 2012-12-12 02:07:28 PST
https://hg.mozilla.org/mozilla-central/rev/241296b53553
Comment 8 James Lal [:lightsofapollo] (inactive) 2012-12-13 10:37:12 PST
Comment on attachment 691019 [details] [diff] [review]
Resolves scoping issues

[Approval Request Comment]
Bug caused by (feature/regressing bug #): Breaks b2g-desktop for gaia development
User impact if declined: Hinders gaia development 
Testing completed (on m-c, etc.): 
Risk to taking this patch (and alternatives if risky): Very minimal small syntax differences to achieve the same goal.
String or UUID changes made by this patch: 

--

Will greatly help gaia development we use extensions to load things like httpd.js. We have relied on that functionality for the better part of 5 months now.
Comment 9 Jonas Sicking (:sicking) PTO Until July 5th 2012-12-13 11:44:44 PST
Comment on attachment 691019 [details] [diff] [review]
Resolves scoping issues

[Triage Comment]

Note You need to log in before you can comment on or make changes to this bug.